QGIS Application - Bug report #13310

nightly build packages failing to install with grass error

2015-09-01 11:10 PM - Gavin Fleming

Status: Closed
Priority: Normal
Assignee: Jurgen Fischer
Category: Build/Install

Affected QGIS version:master
Operating System: ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 21368

Description

Since 29 Aug, nightly builds from the debian-nightly vivid repo have been failing with this error:

dpkg-divert: error: “diversion of /usr/bin/qgis to /usr/bin/qgis.bin by qgis-provider-grass' clashes with “diversion of /usr/bin/qgis to

/usr/bin/qgis.bin by qgis-plugin-grass'

Errors were encountered while processing:

/var/cache/apt/archives/qgis-provider-grass_1%3a2.11.0+git20150901+524716f+22vivid_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Failed to perform requested operation on package. Trying to recover:
Setting up qgis-common (1:2.11.0+git20150901+524716f+22vivid) ...
dpkg: dependency problems prevent configuration of qgis-plugin-grass:

qgis-plugin-grass depends on qgis-provider-grass (= 1:2.11.0+git20150901+524716f+22vivid); however:

Package qgis-provider-grass is not installed.

Related issues:

Related to QGIS Application - Bug report # 14395: Cannot install on ubuntu xe... Closed 2016-03-01
Duplicated by QGIS Application - Bug report # 13599: Bug in debian ggis.desktop Closed 2015-10-14
Duplicated by QGIS Application - Bug report # 13485: QGIS desktop launcher do... Closed 2015-10-01

Associated revisions

Revision bb9addd0 - 2015-09-06 01:40 AM - Jiirgen Fischer

debian packaging fix (fixes #13310)

Revision f153743c - 2015-09-06 01:46 AM - Jurgen Fischer

debian packaging fix (fixes #13310)

History

#1 - 2015-09-02 02:41 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#2 - 2015-09-05 05:02 PM - Juirgen Fischer
- Status changed from Open to Closed
Fixed in changeset commit:"f153743cf8905a2f435621b2ee70c957ce2691b4".

#3 - 2015-09-09 05:51 AM - Gavin Fleming
- Status changed from Closed to Reopened

This error is still occurring:

The following NEW packages will be installed:
qgis-plugin-grass qgis-provider-grass{a}
0 packages upgraded, 2 newly installed, 0 to remove and 1 not upgraded.
Need to get 5,299 kB of archives. After unpacking 18.4 MB will be used.
Do you want to continue? [Y/n/?] Y
Get: 1 http:/qgis.org/debian-nightly/ vivid/main ggis-provider-grass amd64 1:2.11.0+git20150908+73ffb83+22vivid [1,453 kB]
Get: 2 http://qgis.org/debian-nightly/ vivid/main ggis-plugin-grass amd64 1:2.11.0+git20150908+73ffb83+22vivid 3,845 kB]
Fetched 5,299 kB in 14s (357 kB/s)
(Reading database ... 600149 files and directories currently installed.)
Preparing to unpack .../qgis-provider-grass_1%3a2.11.0+git20150908+73ffb83+22vivid_amd64.deb ...
dpkg-divert: error: “diversion of /usr/bin/qgis to /usr/bin/qgis.bin by ggis-provider-grass' clashes with “diversion of /usr/bin/qgis to /usr/bin/qgis.bin
by qgis-plugin-grass'
dpkg: error processing archive /var/cache/apt/archives/qgis-provider-grass_1%3a2.11.0+git20150908+73ffb83+22vivid_amd64.deb (--unpack):
subprocess new pre-installation script returned error exit status 2
Selecting previously unselected package qgis-plugin-grass.
Preparing to unpack .../qgis-plugin-grass_1%3a2.11.0+git20150908+73ffb83+22vivid_amd64.deb ...
Unpacking ggis-plugin-grass (1:2.11.0+git20150908+73ffb83+22vivid) ...
Errors were encountered while processing:
/var/cache/apt/archives/qgis-provider-grass_1%3a2.11.0+git20150908+73ffb83+22vivid_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Failed to perform requested operation on package. Trying to recover:
dpkg: dependency problems prevent configuration of qgis-plugin-grass:
qgis-plugin-grass depends on qgis-provider-grass (= 1:2.11.0+git20150908+73ffb83+22vivid); however:
Package qgis-provider-grass is not installed.

dpkg: error processing package qgis-plugin-grass (--configure):
dependency problems - leaving unconfigured

Errors were encountered while processing:

qgis-plugin-grass

#4 - 2015-09-28 06:26 AM - Tomasz Nycz

Same problem in trusty.

#5 - 2015-10-02 01:40 AM - Jiirgen Fischer
- Status changed from Reopened to Feedback

try commit:e263e9e or above
#6 - 2015-10-03 01:12 PM - Goyo D
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

It works after that commit.
